| Stan Math Library 2.6.3 probability, sampling & optimization

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerator Friends Macros
Public Member Functions | List of all members
stan::math::chainable_alloc Class Reference

A chainable_alloc is an object which is constructed and destructed normally but the memory lifespan is managed along with the arena allocator for the gradient calculation. More...

`#include <chainable_alloc.hpp>`

Inheritance diagram for stan::math::chainable_alloc:

## Public Member Functions
| chainable_alloc ()
virtual | ~chainable_alloc ()

## Detailed Description

A chainable_alloc is an object which is constructed and destructed normally but the memory lifespan is managed along with the arena allocator for the gradient calculation.

A chainable_alloc should never be created on the stack, only with a new call.

Definition at line 17 of file chainable_alloc.hpp.

## Constructor & Destructor Documentation

stan::math::chainable_alloc::chainable_alloc | ( |  | ) |
| inline

Definition at line 19 of file chainable_alloc.hpp.

virtual stan::math::chainable_alloc::~chainable_alloc | ( |  | ) |
| inline virtual

Definition at line 22 of file chainable_alloc.hpp.

The documentation for this class was generated from the following file:

- stan/math/rev/core/chainable_alloc.hpp

[ Stan Home Page ] © 2011–2015, Stan Development Team.